Koozali.org formerly Contribs.org

Problem bei der Installation von Phpvirtualbox

Problem bei der Installation von Phpvirtualbox
« on: February 17, 2019, 07:15:15 PM »
Hallo zusammen,

ich versuche auf einem frisch instalierten SME 9.2 Server VirtualBox zu instalieren.
dabei erhalte ich immer die meldung:

  Installieren : smeserver-virtualbox-5.0-5.0.0-3.el6.sme.noarch            1/2
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
         available for the current kernel (2.6.32-696.1.1.el6.x86_64) or it failed to
         load. Please recompile the kernel module and install it by

           sudo /sbin/rcvboxdrv setup

         You will not be able to start VMs until this problem is fixed.

beim ausfuehren von

sudo /sbin/rcvboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ]
Uninstalling old VirtualBox DKMS kernel modules            [  OK  ]
Trying to register the VirtualBox kernel modules using DKMSError! echo
Your kernel headers for kernel 2.6.32-696.1.1.el6.x86_64 cannot be found at
/lib/modules/2.6.32-696.1.1.el6.x86_64/build or /lib/modules/2.6.32-696.1.1.el6.x86_64/source.
                                                           [FEHLGESCHLAGEN]
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules                      [FEHLGESCHLAGEN]
  (Look at /var/log/vbox-install.log to find out what went wrong)


da in im Wiki steht

You have to be sure that your server has the kernel up-to-date before to install virtualbox, else the installation will fail.

auch nach aktualisieren des Servers passiert das gleiche.
Was mache ich Falsch?

jetzt schon besten Dank an alle

Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #1 on: February 18, 2019, 05:36:47 PM »
https://wiki.contribs.org/Phpvirtualbox

Quote
Your kernel headers for kernel 2.6.32-696.1.1.el6.x86_64 cannot be found at

Code: [Select]
yum install --enablerepo=epel dkms kernel-devel
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Problem bei der Installation von Phpvirtualbox
« Reply #2 on: February 18, 2019, 07:00:38 PM »
gute idee - gleiches resultat...

  Installieren : smeserver-phpvirtualbox-5.0-5.0.0-1.el6.sme.noarch       23/24
==============================================================
        Please do not forget to install the extension pack
        You need it to activate the virtualbox RDP server
        And many features, see this page to manage it by CL

        https://www.virtualbox.org/manual/ch08.html#vboxmanage-extpack

        The download page : https://www.virtualbox.org/wiki/Downloads
==============================================================
  Installieren : smeserver-virtualbox-5.0-5.0.0-3.el6.sme.noarch          24/24
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
         available for the current kernel (2.6.32-696.1.1.el6.x86_64) or it failed to
         load. Please recompile the kernel module and install it by

           sudo /sbin/rcvboxdrv setup

         You will not be able to start VMs until this problem is fixed.


sudo /sbin/rcvboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ]
Uninstalling old VirtualBox DKMS kernel modules            [  OK  ]
Trying to register the VirtualBox kernel modules using DKMS
Error! echo
Your kernel headers for kernel 2.6.32-696.1.1.el6.x86_64 cannot be found at
/lib/modules/2.6.32-696.1.1.el6.x86_64/build or /lib/modules/2.6.32-696.1.1.el6.x86_64/source.
                                                           [FEHLGESCHLAGEN]
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules                      [FEHLGESCHLAGEN]
  (Look at /var/log/vbox-install.log to find out what went wrong)

Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #3 on: February 18, 2019, 07:16:36 PM »
Bitte lies die Wiki-Seite und folge ihnen.

SME verwendet kein Sudo

Entfernen Sie das, was Sie installiert haben, starten Sie den Computer neu und starten Sie die Wiki-Seite erneut.

Folgen Sie nicht der virtuellen Box-Seite, da sie unter SME möglicherweise nicht ordnungsgemäß funktioniert

======

Please read the wiki page.

Note SME does not use sudo....

Please remove what you have installed, reboot, and start again following the SME wiki page exactly.

Do not follow the virtual box page as it may not work correctly on SME
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Problem bei der Installation von Phpvirtualbox
« Reply #4 on: February 18, 2019, 07:24:03 PM »
bevor ich ihren tip ausprobiert habe, habe ich das system neu installiert.
bin exact der wiki anleitung gefolgt (so umfangreich ist die ja nicht)
den sudo befehl habe ich nur eingegeben weil es im output so stand.

Sorry... aber ich sehe noch nicht was ich falsch gemacht haben koennte

Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #5 on: February 18, 2019, 08:38:17 PM »
Da Sie die Schritte, die Sie unternommen haben, nicht skizziert haben, ist es schwer zu wissen. Wenn Sie Sudo verwenden, bedeutet dies, dass Sie versucht haben, etwas im vitualbox-Wiki zu befolgen, nicht im KMU-Wiki Module

Die Verwendung von sudo bedeutet wahrscheinlich, dass Sie versucht haben, etwas im virtualbox-Wiki zu verfolgen, nicht das SME-Wiki.

Ihr Problem ist, dass Sie nicht die Kernel-Header installiert haben, um die Vbox-Module zu kompilieren

Bitte gehen Sie zurück, deinstallieren Sie alles, starten Sie den Computer neu und starten Sie die Installation erneut. Schreiben Sie die genauen Schritte auf, die Sie unternehmen, damit wir sehen können, was Sie tun.

"Installation phpvirtualbox-5.0 For SME8 and SME9"

============

As you did not outline the steps you have taken it is hard to know.

Using sudo probably means you tried to follow something in the virtualbox wiki, not the SME wiki.

Your issue is you do not have the kernal headers installed to compile the vbox modules.

Please go back, uninstall everything, restart the computer and start the install again. Write down the exact steps you take to let us see what you are doing.

"Installation phpvirtualbox-5.0 For SME8 and SME9"

...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Problem bei der Installation von Phpvirtualbox
« Reply #6 on: February 18, 2019, 09:38:27 PM »
Nach der Neuinstallation des SME Servers auf einem Zotac Ci323 Nano mit 4GB Ram und 120 GB SSD

zunaechst das VirtualBox Repository:

/sbin/e-smith/db yum_repositories set virtualbox repository \
Name 'RHEL/CentOS-$releasever / $basearch - VirtualBox' \
BaseURL 'http://download.virtualbox.org/virtualbox/rpm/el/$releasever/$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey https://www.virtualbox.org/download/oracle_vbox.asc \
Visible no \
status disabled

signal-event yum-modify

dann das Stephdl Repository:

db yum_repositories set stephdl repository \
BaseURL http://mirror.de-labrusse.fr/smeserver/\$releasever \
EnableGroups no GPGCheck yes \
Name "Mirror de Labrusse" \
GPGKey http://mirror.de-labrusse.fr/RPM-GPG-KEY \
Visible yes status disabled

signal-event yum-modify

und das Epel repository

/sbin/e-smith/db yum_repositories set epel repository \
Name 'Epel' \
BaseURL 'http://download.fedoraproject.org/pub/epel/$releasever/$basearch' \
MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=epel-$releasever&arch=$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Exclude perl-Razor-Agent \
Visible no \
status disabled

signal-event yum-modify
wobei es kein unterschied ist ob ich das Generic oder das SME 9.x verwende

sicherheitshalber kommt jetzt ein restart

signal-event post-upgrade;  signal-event reboot

da

cat /proc/cpuinfo | grep flags | grep pae
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 movbe popcnt tsc_deadline_timer aes rdrand lahf_lm 3dnowprefetch ida arat epb dtherm tpr_shadow vnmi flexpriority ept vpid smep erms

yum install --enablerepo=epel dkms kernel-PAE-devel
signal-event post-upgrade;  signal-event reboot

dann

yum --enablerepo=stephdl,virtualbox  install smeserver-phpvirtualbox-5.0 smeserver-virtualbox-5.0

und schon hab ich die fehlermeldung von oben

ich kann auch gerne den kompletten log posten - dann wirds leicht unuebersichtlich

was hab ich vergessen? ueberlesen? nicht gemacht?
« Last Edit: February 18, 2019, 09:41:48 PM by Binford »

Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #7 on: February 19, 2019, 12:19:36 PM »
Hast du einen PAE-Kernel installiert?

Ich denke nicht so:

Quote
Your kernel headers for kernel 2.6.32-696.1.1.el6.x86_64

Do you have a PAE kernel installed??

I don't think so:

Quote
Your kernel headers for kernel 2.6.32-696.1.1.el6.x86_64

...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Problem bei der Installation von Phpvirtualbox
« Reply #8 on: February 19, 2019, 12:32:47 PM »
nach dem resultat von:
cat /proc/cpuinfo | grep flags | grep pae
sollte ich einen installieren
wegen deinem ersten reply auf meine frage hab ich auch mal den anderen ausprobiert.
das ergebnis ist in beiden faellen das gleiche.

wen auch dir dazu nix mehr einfaellt, lass ich da die finger von und denke mir eine andere loesung aus.



Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #9 on: February 19, 2019, 05:12:46 PM »
Eine Frage

Sie scheinen einen alten Kernel zu verwenden.

Kernel 2.6.32-696.1.1.el6.x86_64

Aktuelle SME V9 ist:

[root @ home ~] # uname -r
2.6.32-754.10.1.el6.x86_64

kernel-devel  x86_64  2.6.32-754.10.1.el6   updates   11 M

Welche Version von SME verwenden Sie?

==============

One question

You seem to be using an old kernel.

kernel 2.6.32-696.1.1.el6.x86_64

Current SME V9 is:

[root@home ~]# uname -r
2.6.32-754.10.1.el6.x86_64

kernel-devel  x86_64  2.6.32-754.10.1.el6   updates   11 M

So what version of SME are you using??

...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Problem bei der Installation von Phpvirtualbox
« Reply #10 on: February 19, 2019, 06:18:52 PM »
ich habe SME 9.2 von hier runtergeladen:

http://ftp.nluug.nl/os/Linux/distr/smeserver/releases/9.2/iso/x86_64/smeserver-x86_64.iso

natuerlich ist der Kernel alt...

aber auch nach einem Update auf die jetzt aktuelle version aendert sich an dem Fehler nichts

Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #11 on: February 19, 2019, 06:45:28 PM »
 2.6.32-696.1.1.el6 vs  2.6.32-754.10.1.el6

Das bedeutet, dass Sie mit Updates weit hinterherhinken.

Bitte stellen Sie sicher, dass Sie zuerst alle Updates installieren.

Bitte zeig es mir:

uname -a
rpm -qa | grep kern

===========

That means you are a long way behind with updates.

Please make sure you install all updates first.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Problem bei der Installation von Phpvirtualbox
« Reply #12 on: February 19, 2019, 07:09:44 PM »
Bin gerade dabei, hab den Server neu installiert,
gerade mache ich die updates
sobald die durch sind
werd ich mich erneut an der virtualbox versuchen

Re: Problem bei der Installation von Phpvirtualbox
« Reply #13 on: February 19, 2019, 07:21:37 PM »
da bin ich wieder...

uname -a
Linux telstar 2.6.32-754.10.1.el6.x86_64 #1 SMP Tue Jan 15 17:07:28 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa | grep kern
dracut-kernel-004-411.el6.noarch
kernel-headers-2.6.32-754.10.1.el6.x86_64
kernel-2.6.32-754.10.1.el6.x86_64
kernel-2.6.32-696.1.1.el6.x86_64
kernel-firmware-2.6.32-754.10.1.el6.noarch

das heisst also als naechstes

yum install --enablerepo=epel dkms kernel-devel

Offline ReetP

  • *
  • 1,870
Re: Problem bei der Installation von Phpvirtualbox
« Reply #14 on: February 19, 2019, 07:25:29 PM »
Sieht besser aus

Folgen Sie dem Wiki. Schreiben Sie auf, was Sie als Referenz tun.

==============

Looks better.

Follow the wiki. Write down what you do for reference.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation